## org.apache.mahout.classifier.df.mapreduce.inmem
Class InMemInputFormat.InMemRecordReader

    java.lang.Object
      org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>
          org.apache.mahout.classifier.df.mapreduce.inmem.InMemInputFormat.InMemRecordReader

All Implemented Interfaces:
  Closeable

Enclosing class:
  InMemInputFormat

    public static class InMemInputFormat.InMemRecordReader

extends org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>

Constructor Summary
`InMemInputFormat.InMemRecordReader(InMemInputFormat.InMemInputSplit split)`

Method Summary
`void` `close()`
`org.apache.hadoop.io.IntWritable` `getCurrentKey()`
`org.apache.hadoop.io.NullWritable` `getCurrentValue()`
`float` `getProgress()`
`void` `initialize(org.apache.hadoop.mapreduce.InputSplit arg0, org.apache.hadoop.mapreduce.TaskAttemptContext arg1)`
`boolean` `nextKeyValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemInputFormat.InMemRecordReader

    public InMemInputFormat.InMemRecordReader(InMemInputFormat.InMemInputSplit split)

Method Detail

### getProgress

    public float getProgress()
                      throws IOException

  Specified by:
    `getProgress` in class `org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>`
  Throws:
    `IOException`

### getCurrentKey

    public org.apache.hadoop.io.IntWritable getCurrentKey()
                                                   throws IOException,
                                                          InterruptedException

  Specified by:
    `getCurrentKey` in class `org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### getCurrentValue

    public org.apache.hadoop.io.NullWritable getCurrentValue()
                                                      throws IOException,
                                                             InterruptedException

  Specified by:
    `getCurrentValue` in class `org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### initialize

    public void initialize(org.apache.hadoop.mapreduce.InputSplit arg0,
                           org.apache.hadoop.mapreduce.TaskAttemptContext arg1)
                    throws IOException,
                           InterruptedException

  Specified by:
    `initialize` in class `org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### nextKeyValue

    public boolean nextKeyValue()
                         throws IOException,
                                InterruptedException

  Specified by:
    `nextKeyValue` in class `org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>`
  Throws:
    `IOException`
    `InterruptedException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `org.apache.hadoop.mapreduce.RecordReader<org.apache.hadoop.io.IntWritable,org.apache.hadoop.io.NullWritable>`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.